curl --request GET \
--url https://api.nox.energy/v1/device/typical-consumption-rlp/historical \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nox.energy/v1/device/typical-consumption-rlp/historical"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nox.energy/v1/device/typical-consumption-rlp/historical', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nox.energy/v1/device/typical-consumption-rlp/historical",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nox.energy/v1/device/typical-consumption-rlp/historical"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nox.energy/v1/device/typical-consumption-rlp/historical")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nox.energy/v1/device/typical-consumption-rlp/historical")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"typical_consumption_time": "2025-04-29 16:00",
"device_id": "0910947a-fab9-450e-b5ac-48e9c4f3e725",
"consumption": "2.88",
"supplier_user_id": "1234"
},
{
"typical_consumption_time": "2025-04-29 16:00",
"device_id": "1400d85b-47c3-49e1-9317-ae1bfccb635c",
"consumption": "1.16",
"supplier_user_id": "1234"
}
],
"meta": {
"energy_supplier": "Energy Supplier A",
"next_token": "AYABeH50-To0SRdAWC9BY9aCIaEAAAABAAdhd3Mta21zAE5hcm46YXdzOmttczpldS1jZW50cmFsLTE6NDQxMjA5Mzg3MTExOmtleS80Yzk3N2IxMi02NDA4LTRhNzktYWIyMy1hZTk0Y2Y0YTFmZjQAuAECAQB4KL0",
"consumption_unit": "kWh",
"granularity": "15min",
"output_timezone": "UTC"
}
}Get Device Typical Consumption Rlp Historical
Get the typical consumption (TC) for devices associated with your energy supplier account, in kWh, for a specific timeframe with 15min granularity.
The TC is the reference consumption of the heat pump. It takes the energy the device actually used that day, spreads it over the day following the standard load profile (RLP) of its country, and adjusts it with a device-specific scaling factor.
The TC is calculated once a day for the previous day (Europe/Brussels) and is available by 09:00 Brussels time. Days on which the device was not steered by Nox return no data.
The timestamp refers to the data that will happen in the next 15 minutes after the timestamp.
curl --request GET \
--url https://api.nox.energy/v1/device/typical-consumption-rlp/historical \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nox.energy/v1/device/typical-consumption-rlp/historical"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nox.energy/v1/device/typical-consumption-rlp/historical', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nox.energy/v1/device/typical-consumption-rlp/historical",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nox.energy/v1/device/typical-consumption-rlp/historical"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nox.energy/v1/device/typical-consumption-rlp/historical")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nox.energy/v1/device/typical-consumption-rlp/historical")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"typical_consumption_time": "2025-04-29 16:00",
"device_id": "0910947a-fab9-450e-b5ac-48e9c4f3e725",
"consumption": "2.88",
"supplier_user_id": "1234"
},
{
"typical_consumption_time": "2025-04-29 16:00",
"device_id": "1400d85b-47c3-49e1-9317-ae1bfccb635c",
"consumption": "1.16",
"supplier_user_id": "1234"
}
],
"meta": {
"energy_supplier": "Energy Supplier A",
"next_token": "AYABeH50-To0SRdAWC9BY9aCIaEAAAABAAdhd3Mta21zAE5hcm46YXdzOmttczpldS1jZW50cmFsLTE6NDQxMjA5Mzg3MTExOmtleS80Yzk3N2IxMi02NDA4LTRhNzktYWIyMy1hZTk0Y2Y0YTFmZjQAuAECAQB4KL0",
"consumption_unit": "kWh",
"granularity": "15min",
"output_timezone": "UTC"
}
}Authorizations
Query Parameters
The maximum number of items to return per page of results.
This should be used together with the next_token parameter, or the offset parameter where the
endpoint offers it, to paginate through results.
Read the pagination parameter documentation for more details.
1 <= x <= 1000The next_token is a token used to retrieve the next page of results when there are more results
than can fit in a single page(=API response).
By default, the API will return a next_token of the first page if no token was given as a parameter.
If the token is null you have reached the end of the results.
This should be used together with the limit parameter to paginate through results.
To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.
Pass the next_token back unchanged. A token that was altered or not issued by the API returns 400.
The number of items to skip before the first item of the page. Defaults to 0.
Use it together with the limit parameter to fetch a specific page, for example limit=100&offset=200
returns items 201 to 300.
Use either offset or next_token, not both. Sending both returns 400.
x >= 0Response
Successful response
The response is of type Response Get Device Typical Consumption Rlp Historical V1 Device Typical Consumption Rlp Historical Get · object.